Print | Rate this content

Notice: HPE Network Adapters - Avoid Updating The BNX2X Driver Package Version 2.713.30 On VMware Hosts With Certain Network Adapters Running Certain Firmware To Prevent A Network Adapter Replacement

SUPPORT COMMUNICATION - CUSTOMER NOTICE

Document ID: a00027591en_us

Version: 2

Notice: HPE Network Adapters - Avoid Updating The BNX2X Driver Package Version 2.713.30 On VMware Hosts With Certain Network Adapters Running Certain Firmware To Prevent A Network Adapter Replacement
NOTICE: The information in this document, including products and software versions, is current as of the Release Date. This document is subject to change without notice.

Release Date: 2017-12-14

Last Updated: 2018-02-08


DESCRIPTION

Document Version
Release Date
Details
2
12/14/2017
Resolution has been added to the Details section.
1
09/28/2017
Original Document Release.

An issue has been identified when a driver upgrade is performed with the following HPE QLogic NX2 1/10/20 GbE Multifunction Drivers for VMware vSphere 5.5, 6.0, and 6.5:

  • net-bnx2x_2.713.30.v55.7-1OEM.550.0.0.1331820
  • net-bnx2x_2.713.30.v60.7-1OEM.600.0.0.2494585

On any HPE ProLiant server running:

  • VMware ESXi 5.5.
  • VMware ESXi 6.0.
  • VMware ESXi 6.5.

And configured with any of the network adapters listed in the Details section below, and running the firmware versions listed in the table of the Details section below (or earlier).

When this issue occurs, the server may experience:

  1. Disconnected network status.
  2. Absence of the network adapter in the Operating System.
  3. Absence of the network adapter in the ROM-Based Setup Utility (RBSU).

The issue may occur on certain adapters with firmware versions listed in the table of the Details section below (or earlier) by installing or upgrading to the bnx2x driver version 2.713.30 using one of the methods below:

  • Use the July HPE Custom Image
  • Use the VIB or offline bundle from the july vibsdepot directory
  • Use the 2017.07.1 SPP

The driver update/installation in the Operating System is linked to the Customer Advisory: a00027033 - (Revision) HPE Network Adapters - Updating The BNX2X Driver Package Version 2.713.30 On VMware Hosts With Certain Network Adapters Running Certain Firmware May Require A Network Adapter Replacement.

DETAILS

Any HPE ProLiant server configured with any of the following adapters with the firmware versions contained in the table below (or earlier) and running VMware ESXi 5.5, VMware ESXi 6.0 or VMware ESXi 6.5 with the following HPE BNX2X VMware drivers:

NIC
Boot Code Version
PXE Version
UEFI Version
iSCSI Version
NCSI Version
FCoE Version
CCM Version
L2 Version
HP Flex-10 10Gb 2-port 530FLB Adapter
HP Ethernet 10Gb 2-port 530FLR-SFP+ Adapter
HP Flex-10 10Gb 2-port 530M Adapter
HP Ethernet 10Gb 2-port 530SFP+ Adapter
HP Ethernet 10Gb 2-port 530T Adapter
7.13.23
7.13.2
7.13.16
n/a
n/a
n/a
7.13.3
7.10.31
HP Ethernet 10Gb 2-port 533FLR-T Adapter
HP FlexFabric 10Gb 2-port 534FLB Adapter
HP FlexFabric 10Gb 2-port 534FLR-SFP+ Adapter
HP FlexFabric 10Gb 2-port 534M Adapter
HP StoreFabric CN1100R Dual Port Converged Network Adapter
HP FlexFabric 20Gb 2-port 630FLB Adapter
HP FlexFabric 20Gb 2-port 630M Adapter
HP FlexFabric 10Gb 2-port 536FLB Adapter
HPE StoreFabric CN1100R-T Converged Network Adapter
7.13.23
7.13.2
7.13.16
7.13.1
n/a
7.13.3
7.13.3
7.10.31

And running VMware ESXi 5.5, VMware ESXi 6.0 or VMware ESXi 6.5 with the following HPE BNX2X VMware drivers:

HPE QLogic NX2 1/10/20 GbE Multifunction Drivers for VMware

  • net-bnx2x_2.713.30.v55.7-1OEM.550.0.0.1331820
  • net-bnx2x_2.713.30.v60.7-1OEM.600.0.0.2494585

Effective 09/25/2017 driver version 2.713.30 contained in the Service Pack for ProLiant (SPP) 2017.07.1 and the July HPE Custom Images has been removed from HPE.com and the HPE Custom Images.

HPE has released SPP 2017.07.2 as a replacement for SPP 2017.07.1 to prevent customers that have HPE ProLiant servers configured with any of the network adapters listed above from experiencing this issue and requiring a replacement network adapter.

UPDATE

Upgrade Requirement: Critical - HPE requires users update to this version immediately.

HPE has released an updated driver and new HPE Custom images which will prevent this issue from occurring. The updated driver can be installed with the older FW images and will not cause the above mentioned issue.

To resolve this issue, download and install the updated driver net-bnx2x_2.713.30.v60.9-1OEM.600.0.0.2494585 contained in the HPE QLogic NX2 10/20GbE Multifunction Drivers for VMware vSphere 6.0/6.5 Version 2017.10.06, available at the following URL:

https://www.hpe.com/global/swpublishing/MTX-ab64eccfe90a485e821b0e9e12

Or

Updated HPE Custom Images that contain the updated driver net-bnx2x_2.713.30.v60.9-1OEM.600.0.0.2494585, are available for download at the following URL:

https://www.hpe.com/us/en/servers/hpe-esxi.html

Or




RECEIVE PROACTIVE UPDATES : Receive support alerts (such as Customer Advisories), as well as updates on drivers, software, firmware, and customer replaceable components, proactively via e-mail through HPE Subscriber's Choice. Sign up for Subscriber's Choice at the following URL: Proactive Updates Subscription Form .

NAVIGATION TIP : For hints on navigating HPE.com to locate the latest drivers, patches, and other support software downloads for ProLiant servers and Options, refer to the Navigation Tips document .

SEARCH TIP : For hints on locating similar documents on HPE.com, refer to the Search Tips document .


Hardware Platforms Affected: HP ConvergedSystem 900 FlexFabric 20Gb 2-port 630FLB Adapter, HPE StoreFabric CN1100R 10GBASE-T Dual Port Converged Network Adapter, HPE Ethernet 10Gb 2-port 530FLR-SFP+ Adapter, HPE Flex-10 10Gb 2-port 530FLB Adapter, HP Flex-10 10Gb 2-port 530M Adapter, HPE Ethernet 10Gb 2-port 530SFP+ Adapter, HPE Ethernet 10Gb 2-port 530T Adapter, HPE FlexFabric 10Gb 2-port 533FLR-T Adapter, HP FlexFabric 10Gb 2-port 534FLB Adapter, HPE FlexFabric 10Gb 2-port 534FLR-SFP+ Adapter, HPE FlexFabric 10Gb 2-port 534M Adapter, HPE StoreFabric CN1100R Dual Port Converged Network Adapter, HPE FlexFabric 20Gb 2-port 630FLB Adapter, HPE FlexFabric 20Gb 2-port 630M Adapter, HPE FlexFabric 10Gb 2-port 536FLB Adapter
Operating Systems Affected: Not Applicable
Software Affected: Not Applicable
Support Communication Cross Reference ID: SIK2555
©Copyright 2018 Hewlett Packard Enterprise Development LP
Hewlett Packard Enterprise Development shall not be liable for technical or editorial errors or omissions contained herein. The information provided is provided "as is" without warranty of any kind. To the extent permitted by law, neither HPE nor its affiliates, subcontractors or suppliers will be liable for incidental, special or consequential damages including downtime cost; lost profits; damages relating to the procurement of substitute products or services; or damages for loss of data, or software restoration. The information in this document is subject to change without notice. Hewlett Packard Enterprise Development and the names of Hewlett Packard Enterprise Development products referenced herein are trademarks of Hewlett Packard Enterprise Development in the United States and other countries. Other product and company names mentioned herein may be trademarks of their respective owners.

Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.

Provide feedback

Please rate the information on this page to help us improve our content. Thank you!
Document title: Notice: HPE Network Adapters - Avoid Updating The BNX2X Driver Package Version 2.713.30 On VMware Hosts With Certain Network Adapters Running Certain Firmware To Prevent A Network Adapter Replacement
Document ID: emr_na-a00027591en_us-3
How helpful was this document?
How can we improve this document?
Note: Only English language comments can be accepted at this time.
Please wait while we process your request.